QGIS Application - Bug report #17213

"Show only features visible within a map" filter not able to select "base map" - only most recent
map.

2017-09-28 10:30 AM - David Gessel

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.13 Regression?: No
Operating System: Linux Mint 18.1, XFCE (but really Mate) 64 |d#asy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 25112
Description

Problem

One additional quirk | noticed is that as | have maps with insets, | can't choose to limit the attribute table to the "base map" - only the inset
map. This may warrant a separate bug report, please let me know if | should file it as such.

If I insert a new table (I don't want to mess with my existing table which is properly filtered in case | can't recreate it). The default "feature
filtering" is to not select "remove duplicate rows from table" nor "show only features visible within a map" and the table shows the same
stale data but for the expected range of values.
If | select the "show only features visible within a map" the "composer map" pop-up defaults to "Map 1" - in my case an inset map and
filters the results appropriately (aside from showing stale data as noted in #17212:
If I change the composer map to "Base map" the filter is not updated to reflect the change:
If I click the "remove duplicate rows from table" button, the "composer map" selection reverts to "Map 1" (without user intervention)
Work around
| have not found a way to get the attribute table to filter to the base map except by deleting map 1 inserting the attribute table, filtering it to
the base map, adding map 1 back and then NOT TOUCHING THE FILTERING because any change means deleting any inset maps and
starting over.

History

#1 - 2017-09-28 10:37 AM - Giovanni Manghi
- Category changed from Attribute table to Map Composer/Printing

#2 - 2017-09-28 10:40 PM - Nyall Dawson

Are you sure this is present on 2.18.137 It should have been fixed with .13.

#3 - 2017-09-29 08:28 PM - David Gessel

Yeah, I'm definitely on 2.18.13

QGIS version

2.18.13

QGIS code revision
8cbalbb

Compiled against Qt

4.8.7

Running against Qt

4.8.7

Compiled against GDAL/OGR
1.11.3

Running against GDAL/OGR
1.11.3

Compiled against GEOS
3.5.0-CAPI-1.9.0

Running against GEOS
3.5.1-CAPI-1.9.1 r4246
PostgreSQL Client Version
952

SpatiaLite Version

4.3.0a

QWT Version

5.2.3

PROJ.4 Version

492

QScintilla2 Version

2.9.1

#4 - 2018-02-15 04:29 PM - Mattias Spangmyr

| just encountered this exact behaviour as well in QGIS 2.18.16.

QGIS version 2.18.16

QGIS code revision d473c3071a

Compiled against Qt 4.8.5
Running against Qt 4.8.5
Compiled against GDAL/OGR 2.2.3

Running against GDAL/OGR 2.2.3

Compiled against GEOS 3.5.0-CAPI-1.9.0
Running against GEOS 3.5.0-CAPI-1.9.0 r4084
PostgreSQL Client Version 9.2.4

SpatialLite Version 4.3.0

QWT Version 5.2.3

PROJ.4 Version 493

QScintilla2 Version 2.7.2

#5 - 2018-12-12 10:20 AM - Mie Winstrup
- File Bug_QGIS2.18.26.png added

| have the same problem in QGIS 2.18.26 on windows.

#6 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
